Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.logging
Class LoggingIndexation

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.utils.logging.LoggingIndexation

All Implemented Interfaces:
  Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.excalibur.xml.sax.XMLizable

    public class LoggingIndexation

extends AbstractSdxObject

Specific logger for indexation process.

This logger is specific to the indexation process. It manages all steps of indexation and log those informations according the logger type (currently a JDBC logger).

Messages are formated according the following pattern:
`indexation ID`;`document base id`;`number of documents to index`; `start time`;`end time`;`number steps to proceed`; `current step`;`current document rank`;`current document start time`; `current document end time`;`current document ID`; `current document attached number`;`current document sub-documents documents number`; `current document attached rank`;`current document sub-document rank`
Some informations may be null (eg, the current document may not have sub-documents).
The default separator is a semi-colon "`;`". This can be modified (@see #setSeparator(String)).
An ID is constructed for all indexation process according the pattern: "`indexation start time`." Adding the document ID is not necessary ; to add this information you just have to configure the target logger (eg, WEB-INF/logkit.xconf) to managed this granularity. By default, the granularity of this indexation logger is: "`sdx.framework.indexation`".

Author:
  mpichot

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`static java.lang.String` | `CLASS_NAME_SUFFIX`
`static java.lang.String` | `DEFAULT_DATE_FORMAT` Default date format
`static java.lang.String` | `DEFAULT_SEPARATOR` Default separator
`static int` | `docMoreInfosOutput` The limit to output informations of each document
`static int` | `LEVEL_DEBUG` Current logger level
`static java.lang.String` | `LEVEL_DEBUG_STRING` String representation of the current logger level
`static int` | `LEVEL_ERROR`
`static java.lang.String` | `LEVEL_ERROR_STRING`
`static int` | `LEVEL_FATAL`
`static java.lang.String` | `LEVEL_FATAL_STRING`
`static int` | `LEVEL_INFO`
`static java.lang.String` | `LEVEL_INFO_STRING`
`static int` | `LEVEL_OFF`
`static java.lang.String` | `LEVEL_OFF_STRING`
`static int` | `LEVEL_WARN`
`static java.lang.String` | `LEVEL_WARN_STRING`
`org.apache.avalon.framework.logger.Logger` | `logger` The current logger
`protected java.lang.String` | `m_dateFormat` The format of date as a string
`protected java.lang.String` | `m_dbid` The document base to index
`protected int` | `m_doc_attached_rank` Current attached document rank
`protected long` | `m_doc_end` Current document indexation end time
`protected java.lang.String` | `m_doc_endFormatedDate`
`protected java.lang.String` | `m_doc_id` The current document ID
`protected java.util.Hashtable` | `m_doc_infos` Current document information Current document information such as: IDstartendnumber of sub-documentsnumber of attached documents
`protected int` | `m_doc_nbattached` Number of attached documents for the current document
`protected int` | `m_doc_nbsubdocs` Number of sub-documents for the current document
`protected int` | `m_doc_rank` Current document rank
`protected long` | `m_doc_start` Current document indexation start time
`protected java.lang.String` | `m_doc_startFormatedDate`
`protected int` | `m_doc_subdoc_rank` Current sub-document rank
`protected java.lang.String` | `m_doc_subdocid` Current dub-document ID
`protected java.util.Hashtable` | `m_docs_infos` Documents informations
`protected java.util.Hashtable` | `m_docsadded` Documents added list
`protected java.util.Hashtable` | `m_docserror` Documents error list
`protected java.util.Hashtable` | `m_docserror_msg` Documents error messages
`protected long` | `m_end` Indexation end time
`protected java.lang.String` | `m_endFormatedDate`
`protected java.lang.String` | `m_indexationID` Indexation ID
`protected int` | `m_nbdocs` Number of documents concerned by this indexation
`protected int` | `m_nbDocsAdded` Number of documents added
`protected int` | `m_nbDocsError` Number of documents added
`java.lang.String` | `m_separator` The separator used to format messages
`protected long` | `m_start` Indexation start time
`protected java.lang.String` | `m_startFormatedDate`
`protected int` | `m_step` Current step
`protected int` | `m_steps` Number of steps
`static int` | `STEP_DOCUMENT_ADD` Adding the document
`static int` | `STEP_DOCUMENT_ADD_ATTACHED_ADD` Adding the current attached document
`static java.lang.String` | `STEP_DOCUMENT_ADD_ATTACHED_ADD_STRING` Adding the current attached document
`static int` | `STEP_DOCUMENT_ADD_ATTACHED_END` End time for attached documents process
`static java.lang.String` | `STEP_DOCUMENT_ADD_ATTACHED_END_STRING` End time for attached documents process
`static int` | `STEP_DOCUMENT_ADD_ATTACHED_START` Start time for attached documents process
`static java.lang.String` | `STEP_DOCUMENT_ADD_ATTACHED_START_STRING` Start time for attached documents process
`static int` | `STEP_DOCUMENT_ADD_OAI_DELETED_RECORD` Updating the OAI repository for the current document
`static java.lang.String` | `STEP_DOCUMENT_ADD_OAI_DELETED_RECORD_STRING` Updating the OAI repository for the current document
`static int` | `STEP_DOCUMENT_ADD_SET_ID` Setting the ID of the document to index
`static java.lang.String` | `STEP_DOCUMENT_ADD_SET_ID_STRING` Setting the ID of the document to index
`static int` | `STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT` Adding the original document if needed
`static java.lang.String` | `STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT_STRING` Adding the original document if needed
`static java.lang.String` | `STEP_DOCUMENT_ADD_STRING` Adding the document
`static int` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD` Adding the current sub-document
`static java.lang.String` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD_STRING` Adding the current sub-document
`static int` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_END` End time for sub-documents process
`static java.lang.String` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_END_STRING` End time for sub-documents process
`static int` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_START` Start time for sub-documents process
`static java.lang.String` | `STEP_DOCUMENT_ADD_SUBDOCUMENTS_START_STRING` Start time for sub-documents process
`static int` | `STEP_DOCUMENT_ADD_TO_REPOSITORY` Adding the current document to the documents repository
`static java.lang.String` | `STEP_DOCUMENT_ADD_TO_REPOSITORY_STRING` Adding the current document to the documents repository
`static int` | `STEP_DOCUMENT_ADD_TO_SEARCH_INDEX` Adding the current document to the search index
`static java.lang.String` | `STEP_DOCUMENT_ADD_TO_SEARCH_INDEX_STRING` Adding the current document to the search index
`static int` | `STEP_DOCUMENT_ADD_UPDATE_METADATA` Updating the internal database for the current document
`static java.lang.String` | `STEP_DOCUMENT_ADD_UPDATE_METADATA_STRING` Updating the internal database for the current document
`static int` | `STEP_DOCUMENT_INDEXATION_END` Document indexation end
`static java.lang.String` | `STEP_DOCUMENT_INDEXATION_END_STRING` Document indexation end
`static int` | `STEP_DOCUMENT_INDEXATION_START` Document indexation start
`static java.lang.String` | `STEP_DOCUMENT_INDEXATION_START_STRING` Document indexation start
`static int` | `STEP_DOCUMENT_TRANSFORMATION` Transforming of the document to index
`static int` | `STEP_DOCUMENT_TRANSFORMATION_END` End time for the transformation of the document to index
`static java.lang.String` | `STEP_DOCUMENT_TRANSFORMATION_END_STRING` End time for the transformation of the document to index
`static int` | `STEP_DOCUMENT_TRANSFORMATION_START` Start time for the transformation of the document to index
`static java.lang.String` | `STEP_DOCUMENT_TRANSFORMATION_START_STRING` Start time for the transformation of the document to index
`static java.lang.String` | `STEP_DOCUMENT_TRANSFORMATION_STRING` Transforming of the document to index
`static int` | `STEP_INDEXATION_END` Indexation end
`static java.lang.String` | `STEP_INDEXATION_END_STRING` Indexation end
`static int` | `STEP_INDEXATION_INIT` Indexation start
`static java.lang.String` | `STEP_INDEXATION_INIT_STRING` Indexation start
`static int` | `STEP_MERGE_BATCH_INDEX` Merging the batch indexes if needed
`static java.lang.String` | `STEP_MERGE_BATCH_INDEX_STRING` Merging the batch indexes if needed
`static int` | `STEP_OPTIMIZE_DOCUMENT_BASE` Optimizing the document base if needed
`static java.lang.String` | `STEP_OPTIMIZE_DOCUMENT_BASE_STRING` Optimizing the document base if needed

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`LoggingIndexation()`

Method Summary
`void` | `addAddedDoc(int rank, java.lang.String docid)`
`void` | `addErrorDoc(int rank, java.lang.String docid)`
`void` | `addErrorDoc(int rank, java.lang.String docid, java.lang.String message, java.lang.Exception e)`
`void` | `configure(org.apache.avalon.framework.configuration.Configuration conf, java.lang.String dbid, long start, int nbdocs, java.lang.String indexationID, java.lang.String separator)`
`void` | `configureLogger()`
`java.lang.String` | `formatMessage()`
`java.util.Hashtable` | `getAddedDocs()`
`protected java.lang.String` | `getClassNameSuffix()` Sub classes should element this method to return their class name suffix for SAX output
`int` | `getCurrentStep()`
`java.lang.String` | `getDateFormat()`
`int` | `getDocAttachedRank()`
`long` | `getDocEnd()`
`java.lang.String` | `getDocID()`
`static int` | `getDocMoreInfosOutput()`
`int` | `getDocNbAttached()`
`int` | `getDocNbSubdocs()`
`int` | `getDocRank()`
`int` | `getDocStart()`
`int` | `getDocSubdocRank()`
`long` | `getEnd()`
`java.util.Hashtable` | `getErrorDocs()`
`int` | `getLevel()`
`java.lang.String` | `getLevelString()`
`java.lang.String` | `getSeparator()`
`long` | `getStart()`
`java.lang.String` | `getStepString()`
`void` | `getXMLInformation()`
`protected boolean` | `initToSax()` Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML
`protected void` | `initVolatileObjectsToSax()` Init the LinkedHashMap _xmlizable_volatile_objects with the objects in order to describ them in XML Some objects need to be refresh each time a toSAX is called
`java.lang.String` | `log()`
`void` | `logAddedAndErrorDocs()` Logs all documents IDs (added documents and error documents).
`void` | `logErrorsMessages()` Logs all error messages.
`void` | `logInfo(java.lang.String message)`
`void` | `setDateFormat(java.lang.String s)`
`void` | `setDocAttachedRank(int attachedRank)`
`void` | `setDocEnd(long docEnd)`
`void` | `setDocID(java.lang.String docID)`
`static void` | `setDocMoreInfosOutput(int docMoreInfosOutput)`
`void` | `setDocNbAttached(int nbattached)`
`void` | `setDocNbSubdocs(int nbsubdocs)`
`void` | `setDocRank(int docRank)`
`void` | `setDocStart(long docStart)`
`void` | `setDocSubdocRank(int subdocRank)`
`void` | `setEnd(long indexationEnd)`
`void` | `setSeparator(java.lang.String s)`
`void` | `setStart(long indexationStart)`
`void` | `setStep(int currentStep)`
`void` | `setSteps()`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME_SUFFIX

    public static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

### logger

    public org.apache.avalon.framework.logger.Logger logger

  The current logger

### m_indexationID

    protected java.lang.String m_indexationID

  Indexation ID

### m_start

    protected long m_start

  Indexation start time

### m_startFormatedDate

    protected java.lang.String m_startFormatedDate

### m_end

    protected long m_end

  Indexation end time

### m_endFormatedDate

    protected java.lang.String m_endFormatedDate

### m_nbdocs

    protected int m_nbdocs

  Number of documents concerned by this indexation

### m_nbDocsAdded

    protected int m_nbDocsAdded

  Number of documents added

### m_nbDocsError

    protected int m_nbDocsError

  Number of documents added

### m_dbid

    protected java.lang.String m_dbid

  The document base to index

### m_doc_id

    protected java.lang.String m_doc_id

  The current document ID

### m_doc_nbsubdocs

    protected int m_doc_nbsubdocs

  Number of sub-documents for the current document

### m_doc_nbattached

    protected int m_doc_nbattached

  Number of attached documents for the current document

### m_doc_start

    protected long m_doc_start

  Current document indexation start time

### m_doc_startFormatedDate

    protected java.lang.String m_doc_startFormatedDate

### m_doc_end

    protected long m_doc_end

  Current document indexation end time

### m_doc_endFormatedDate

    protected java.lang.String m_doc_endFormatedDate

### m_doc_rank

    protected int m_doc_rank

  Current document rank

### m_doc_subdocid

    protected java.lang.String m_doc_subdocid

  Current dub-document ID

### m_doc_subdoc_rank

    protected int m_doc_subdoc_rank

  Current sub-document rank

### m_doc_attached_rank

    protected int m_doc_attached_rank

  Current attached document rank

### m_steps

    protected int m_steps

  Number of steps

### m_step

    protected int m_step

  Current step

### m_docsadded

    protected java.util.Hashtable m_docsadded

  Documents added list

### m_docserror

    protected java.util.Hashtable m_docserror

  Documents error list

### m_docserror_msg

    protected java.util.Hashtable m_docserror_msg

  Documents error messages

### m_docs_infos

    protected java.util.Hashtable m_docs_infos

  Documents informations

### m_doc_infos

    protected java.util.Hashtable m_doc_infos

  Current document information

  Current document information such as:

  - ID
  - start
  - end
  - number of sub-documents
  - number of attached documents

### m_separator

    public java.lang.String m_separator

  The separator used to format messages

### DEFAULT_SEPARATOR

    public static final java.lang.String DEFAULT_SEPARATOR

  Default separator

  See Also:
    Constant Field Values

### m_dateFormat

    protected java.lang.String m_dateFormat

  The format of date as a string

### DEFAULT_DATE_FORMAT

    public static final java.lang.String DEFAULT_DATE_FORMAT

  Default date format

  See Also:
    Constant Field Values

### docMoreInfosOutput

    public static int docMoreInfosOutput

  The limit to output informations of each document

### STEP_INDEXATION_INIT

    public static final int STEP_INDEXATION_INIT

  Indexation start

  See Also:
    Constant Field Values

### STEP_DOCUMENT_INDEXATION_START

    public static final int STEP_DOCUMENT_INDEXATION_START

  Document indexation start

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION

    public static final int STEP_DOCUMENT_TRANSFORMATION

  Transforming of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION_START

    public static final int STEP_DOCUMENT_TRANSFORMATION_START

  Start time for the transformation of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION_END

    public static final int STEP_DOCUMENT_TRANSFORMATION_END

  End time for the transformation of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD

    public static final int STEP_DOCUMENT_ADD

  Adding the document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SET_ID

    public static final int STEP_DOCUMENT_ADD_SET_ID

  Setting the ID of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT

    public static final int STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT

  Adding the original document if needed

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_START

    public static final int STEP_DOCUMENT_ADD_ATTACHED_START

  Start time for attached documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_ADD

    public static final int STEP_DOCUMENT_ADD_ATTACHED_ADD

  Adding the current attached document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_END

    public static final int STEP_DOCUMENT_ADD_ATTACHED_END

  End time for attached documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_START

    public static final int STEP_DOCUMENT_ADD_SUBDOCUMENTS_START

  Start time for sub-documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD

    public static final int STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD

  Adding the current sub-document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_END

    public static final int STEP_DOCUMENT_ADD_SUBDOCUMENTS_END

  End time for sub-documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_TO_SEARCH_INDEX

    public static final int STEP_DOCUMENT_ADD_TO_SEARCH_INDEX

  Adding the current document to the search index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_OAI_DELETED_RECORD

    public static final int STEP_DOCUMENT_ADD_OAI_DELETED_RECORD

  Updating the OAI repository for the current document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_TO_REPOSITORY

    public static final int STEP_DOCUMENT_ADD_TO_REPOSITORY

  Adding the current document to the documents repository

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_UPDATE_METADATA

    public static final int STEP_DOCUMENT_ADD_UPDATE_METADATA

  Updating the internal database for the current document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_INDEXATION_END

    public static final int STEP_DOCUMENT_INDEXATION_END

  Document indexation end

  See Also:
    Constant Field Values

### STEP_MERGE_BATCH_INDEX

    public static final int STEP_MERGE_BATCH_INDEX

  Merging the batch indexes if needed

  See Also:
    Constant Field Values

### STEP_OPTIMIZE_DOCUMENT_BASE

    public static final int STEP_OPTIMIZE_DOCUMENT_BASE

  Optimizing the document base if needed

  See Also:
    Constant Field Values

### STEP_INDEXATION_END

    public static final int STEP_INDEXATION_END

  Indexation end

  See Also:
    Constant Field Values

### STEP_INDEXATION_INIT_STRING

    public static final java.lang.String STEP_INDEXATION_INIT_STRING

  Indexation start

  See Also:
    Constant Field Values

### STEP_DOCUMENT_INDEXATION_START_STRING

    public static final java.lang.String STEP_DOCUMENT_INDEXATION_START_STRING

  Document indexation start

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION_STRING

    public static final java.lang.String STEP_DOCUMENT_TRANSFORMATION_STRING

  Transforming of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION_START_STRING

    public static final java.lang.String STEP_DOCUMENT_TRANSFORMATION_START_STRING

  Start time for the transformation of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_TRANSFORMATION_END_STRING

    public static final java.lang.String STEP_DOCUMENT_TRANSFORMATION_END_STRING

  End time for the transformation of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_STRING

  Adding the document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SET_ID_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_SET_ID_STRING

  Setting the ID of the document to index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_STORE_ORIGINAL_DOCUMENT_STRING

  Adding the original document if needed

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_START_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_ATTACHED_START_STRING

  Start time for attached documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_ADD_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_ATTACHED_ADD_STRING

  Adding the current attached document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_ATTACHED_END_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_ATTACHED_END_STRING

  End time for attached documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_START_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_SUBDOCUMENTS_START_STRING

  Start time for sub-documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_SUBDOCUMENTS_ADD_STRING

  Adding the current sub-document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_SUBDOCUMENTS_END_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_SUBDOCUMENTS_END_STRING

  End time for sub-documents process

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_TO_SEARCH_INDEX_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_TO_SEARCH_INDEX_STRING

  Adding the current document to the search index

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_OAI_DELETED_RECORD_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_OAI_DELETED_RECORD_STRING

  Updating the OAI repository for the current document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_TO_REPOSITORY_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_TO_REPOSITORY_STRING

  Adding the current document to the documents repository

  See Also:
    Constant Field Values

### STEP_DOCUMENT_ADD_UPDATE_METADATA_STRING

    public static final java.lang.String STEP_DOCUMENT_ADD_UPDATE_METADATA_STRING

  Updating the internal database for the current document

  See Also:
    Constant Field Values

### STEP_DOCUMENT_INDEXATION_END_STRING

    public static final java.lang.String STEP_DOCUMENT_INDEXATION_END_STRING

  Document indexation end

  See Also:
    Constant Field Values

### STEP_MERGE_BATCH_INDEX_STRING

    public static final java.lang.String STEP_MERGE_BATCH_INDEX_STRING

  Merging the batch indexes if needed

  See Also:
    Constant Field Values

### STEP_OPTIMIZE_DOCUMENT_BASE_STRING

    public static final java.lang.String STEP_OPTIMIZE_DOCUMENT_BASE_STRING

  Optimizing the document base if needed

  See Also:
    Constant Field Values

### STEP_INDEXATION_END_STRING

    public static final java.lang.String STEP_INDEXATION_END_STRING

  Indexation end

  See Also:
    Constant Field Values

### LEVEL_DEBUG

    public static final int LEVEL_DEBUG

  Current logger level

  See Also:
    Constant Field Values

### LEVEL_INFO

    public static final int LEVEL_INFO

See Also:
  Constant Field Values

### LEVEL_WARN

    public static final int LEVEL_WARN

See Also:
  Constant Field Values

### LEVEL_ERROR

    public static final int LEVEL_ERROR

See Also:
  Constant Field Values

### LEVEL_FATAL

    public static final int LEVEL_FATAL

See Also:
  Constant Field Values

### LEVEL_OFF

    public static final int LEVEL_OFF

See Also:
  Constant Field Values

### LEVEL_DEBUG_STRING

    public static final java.lang.String LEVEL_DEBUG_STRING

  String representation of the current logger level

  See Also:
    Constant Field Values

### LEVEL_ERROR_STRING

    public static final java.lang.String LEVEL_ERROR_STRING

See Also:
  Constant Field Values

### LEVEL_INFO_STRING

    public static final java.lang.String LEVEL_INFO_STRING

See Also:
  Constant Field Values

### LEVEL_WARN_STRING

    public static final java.lang.String LEVEL_WARN_STRING

See Also:
  Constant Field Values

### LEVEL_FATAL_STRING

    public static final java.lang.String LEVEL_FATAL_STRING

See Also:
  Constant Field Values

### LEVEL_OFF_STRING

    public static final java.lang.String LEVEL_OFF_STRING

See Also:
  Constant Field Values

Constructor Detail

### LoggingIndexation

    public LoggingIndexation()

Method Detail

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration conf,
                          java.lang.String dbid,
                          long start,
                          int nbdocs,
                          java.lang.String indexationID,
                          java.lang.String separator)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`

### setSteps

    public void setSteps()

### configureLogger

    public void configureLogger()

### log

    public java.lang.String log()

### logInfo

    public void logInfo(java.lang.String message)

### formatMessage

    public java.lang.String formatMessage()

### logAddedAndErrorDocs

    public void logAddedAndErrorDocs()

  Logs all documents IDs (added documents and error documents).

  The log is formated as below:
  `{Indexation ID};{sdxdbid};{nb docs to index};{start time};{end time};ADDED_ERROR_DOCS_ID;{docs added IDs list};{docs error IDs list}`

### logErrorsMessages

    public void logErrorsMessages()

  Logs all error messages.

  The log is formated as below:
  `{Indexation ID};{sdxdbid};{nb docs to index};{start time};{end time};ERROR_MESSAGES;{error messages list}`

### setSeparator

    public void setSeparator(java.lang.String s)

### getSeparator

    public java.lang.String getSeparator()

### setDateFormat

    public void setDateFormat(java.lang.String s)

### getDateFormat

    public java.lang.String getDateFormat()

### setStep

    public void setStep(int currentStep)

### getCurrentStep

    public int getCurrentStep()

### setStart

    public void setStart(long indexationStart)

### getStart

    public long getStart()

### setEnd

    public void setEnd(long indexationEnd)

### getEnd

    public long getEnd()

### setDocID

    public void setDocID(java.lang.String docID)

### getDocID

    public java.lang.String getDocID()

### setDocRank

    public void setDocRank(int docRank)

### getDocRank

    public int getDocRank()

### addErrorDoc

    public void addErrorDoc(int rank,
                            java.lang.String docid)

### addErrorDoc

    public void addErrorDoc(int rank,
                            java.lang.String docid,
                            java.lang.String message,
                            java.lang.Exception e)

### getErrorDocs

    public java.util.Hashtable getErrorDocs()

### addAddedDoc

    public void addAddedDoc(int rank,
                            java.lang.String docid)

### getAddedDocs

    public java.util.Hashtable getAddedDocs()

### getDocMoreInfosOutput

    public static int getDocMoreInfosOutput()

### setDocMoreInfosOutput

    public static void setDocMoreInfosOutput(int docMoreInfosOutput)

### setDocStart

    public void setDocStart(long docStart)

### getDocStart

    public int getDocStart()

### setDocEnd

    public void setDocEnd(long docEnd)

### getDocEnd

    public long getDocEnd()

### setDocNbSubdocs

    public void setDocNbSubdocs(int nbsubdocs)

### getDocNbSubdocs

    public int getDocNbSubdocs()

### setDocNbAttached

    public void setDocNbAttached(int nbattached)

### getDocNbAttached

    public int getDocNbAttached()

### setDocSubdocRank

    public void setDocSubdocRank(int subdocRank)

### getDocSubdocRank

    public int getDocSubdocRank()

### setDocAttachedRank

    public void setDocAttachedRank(int attachedRank)

### getDocAttachedRank

    public int getDocAttachedRank()

### getLevel

    public int getLevel()

### getLevelString

    public java.lang.String getLevelString()

### getStepString

    public java.lang.String getStepString()

### getClassNameSuffix

    protected java.lang.String getClassNameSuffix()

  Description copied from class: `AbstractSdxObject`
  Sub classes should element this method to return their class name suffix for SAX output

  Specified by:
    `getClassNameSuffix` in class `AbstractSdxObject`

### initToSax

    protected boolean initToSax()

  Description copied from class: `AbstractSdxObject`
  Init the LinkedHashMap _xmlizable_objects with the objects in order to describ them in XML

  Specified by:
    `initToSax` in class `AbstractSdxObject`

### initVolatileObjectsToSax

    protected void initVolatileObjectsToSax()

  Description copied from class: `AbstractSdxObject`
  Init the LinkedHashMap _xmlizable_volatile_objects with the objects in order to describ them in XML Some objects need to be refresh each time a toSAX is called

  Specified by:
    `initVolatileObjectsToSax` in class `AbstractSdxObject`

### getXMLInformation

    public void getXMLInformation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.